#ifndef POINT_H
#define POINT_H

class Point
{
protected:
    static Point nil;

public:
    static const double INF;
    static Point* const NIL;

    double glcoords[3];
    struct Point *next, *prev;
    float red, green, blue;


    Point();
    Point(double x, double y, double z);
    void setPoint(double x, double y, double z);

    void addremove();

    double x() const { return glcoords[0]; }
    double y() const { return glcoords[1]; }
    double z() const { return glcoords[2]; }
};

#endif // POINT_H
